export function mapProduct(product) {
  return {
    id: product.id,
    name: product.name,
    price: product.price,
    regular_price: product.regular_price,
    sale_price: product.sale_price,
    description: product.description,
    short_description: product.short_description,
    categories: product.categories.map(cat => cat.name),
    images: product.images.map(img => img.src),
    sku: product.sku,
    stock_status: product.stock_status,
    stock_quantity: product.stock_quantity
  };
}